# QMdiArea Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractScrollArea.

### Constructor

- void QMdiArea(QWidget parent)

### Constructor Properties

- prototype: The QMdiArea prototype object
- CreationOrder
- StackingOrder
- ActivationHistoryOrder
- WindowOrder( value )
- SubWindowView
- TabbedView
- ViewMode( value )
- DontMaximizeSubWindowOnActivation = 0x1
- AreaOption( value )
- AreaOptions( value1, value2, ... )

### Prototype Object Properties

The QMdiArea prototype object inherits properties from the QAbstractScrollArea prototype object and also has the following properties.

- QMdiSubWindow activeSubWindow()
- QMdiSubWindow addSubWindow(QWidget widget, WindowFlags flags)
- QMdiSubWindow currentSubWindow()
- void removeSubWindow(QWidget widget)
- void setOption(AreaOption option, bool on)
- List subWindowList(WindowOrder order)
- bool testOption(AreaOption opton)

### Instance Properties

QMdiArea objects inherit properties from the QMdiArea prototype object and also have the following properties.

- background
- activationOrder
- viewMode
- documentMode
- tabsClosable
- tabsMovable
- tabShape
- tabPosition